@charset "UTF-8";
html {
  font-family: sans-serif;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  font-size: 62.5%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
  margin: 0;
  background-color: #f6f6f6;
}

*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.main-header,
.main-footer {
  max-width: 540px;
}

.main-header {
  margin-left: 20px;
}

.main-header img {
  height: 30px;
}

.preload {
  padding-top: 15px;
}

app-root {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: stretch;
}

.page-loading {
  display: flex;
  align-items: center;
  flex-direction: column;
  text-align: center;
  padding-top: 60px;
  margin-bottom: 60px;
}

.page-loading-text {
  margin-top: 20px;
  font-size: 16px;
  font-weight: bold;
  color: #585958;
  font-family: sans-serif;
}

div.lp-loading-spinner {
  height: 54px;
  width: 54px;
  position: relative;
  animation: rotate360 1.1s infinite linear;
}

div.lp-loading-spinner div.outer-circle {
  border-radius: 50%;
  z-index: 1;
  background-color: #29873c;
  width: 100%;
  height: 100%;
  position: absolute;
}

div.lp-loading-spinner div.inner-circle {
  border-radius: 50%;
  width: 42px;
  height: 42px;
  z-index: 3;
  background-color: #f6f6f6;
  position: absolute;
  left: 6px;
  top: 6px;
}

div.lp-loading-spinner div.segment {
  width: 27px;
  height: 27px;
  position: absolute;
  top: 27px;
  right: 27px;
  border-bottom-left-radius: 99%;
  z-index: 2;
  background-color: #d2ded0;
}

@keyframes rotate360 {
  0% {
    transform: rotate(0);
  }

  100% {
    transform: rotate(360deg);
  }
}
